## org.gtk.GDBus.Example.ObjectManager.Animal

org.gtk.GDBus.Example.ObjectManager.Animal — Example docs generated by gdbus-codegen

## Methods

    Poke (IN  b make_sad,
          IN  b make_happy);

## Signals

    Jumped (d height);

## Properties

    Mood  readable   s
    Foo   readable   s
    Bar   readable   s

## Description

This D-Bus interface is used to describe a simple animal.

Since 2.30

## Method Details

### The Poke() method

    Poke (IN  b make_sad,
          IN  b make_happy);

Method used to changing the mood of the animal. See also the "Mood" property.

`IN b `make_sad``: | Whether to make the animal sad.
`IN b `make_happy``: | Whether to make the animal happy.

Since 2.30

## Signal Details

### The "Jumped" signal

    Jumped (d height);

Emitted when the animal decides to jump.

`d `height``: | Height, in meters, that the animal jumped.

Since 2.30

## Property Details

### The "Mood" property

    Mood  readable   s

The mood of the animal.

Known values for this property include `Happy` and `Sad`. Use the Poke() method to change this property.

This property influences how often the animal jumps up and down, see the "Jumped" signal for more details.

Since 2.30

### The "Foo" property

    Foo  readable   s

Property with no “since” annotation (should inherit the 2.30 from its containing interface).

Since 2.30

### The "Bar" property

    Bar  readable   s

Property with a later “since” annotation.

Since 2.36